Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGradient.Spread

    java.lang.Object
      java.lang.Enum<QGradient.Spread>
          com.trolltech.qt.gui.QGradient.Spread

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGradient.Spread>

Enclosing class:
  QGradient

    public static enum QGradient.Spread

extends java.lang.Enum<QGradient.Spread>
implements QtEnumerator

Specifies how the area outside the gradient area should be filled.

See Also:
  `spread`, `setSpread`

Enum Constant Summary
`PadSpread` The area is filled with the closest stop color.
`ReflectSpread` The gradient is reflected outside the gradient area.
`RepeatSpread` The gradient is repeated outside the gradient area.

Method Summary
`static QGradient.Spread` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGradient.Spread` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGradient.Spread[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PadSpread

    public static final QGradient.Spread PadSpread

  The area is filled with the closest stop color. This is the default.

### ReflectSpread

    public static final QGradient.Spread ReflectSpread

  The gradient is reflected outside the gradient area.

### RepeatSpread

    public static final QGradient.Spread RepeatSpread

  The gradient is repeated outside the gradient area.

Method Detail

### values

    public static final QGradient.Spread[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGradient.Spread c : QGradient.Spread.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGradient.Spread valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGradient.Spread resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD